Package: org.gradle.nativeplatform.toolchain

## [Java] Interface VisualCppPlatformToolChain

- org.gradle.nativeplatform.toolchain.VisualCppPlatformToolChain

- All Superinterfaces:
    NativePlatformToolChain

  Visual C++ specific settings for the tools used to build for a particular platform.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `CommandLineToolConfiguration` | `getAssembler()` Returns the settings to use for the assembler.
    `CommandLineToolConfiguration` | `getCppCompiler()` Returns the settings to use for the C++ compiler.
    `CommandLineToolConfiguration` | `getLinker()` Returns the settings to use for the linker.
    `CommandLineToolConfiguration` | `getRcCompiler()` Returns the settings to use for the Windows resources compiler.
    `CommandLineToolConfiguration` | `getStaticLibArchiver()` Returns the settings to use for the archiver.
    `CommandLineToolConfiguration` | `getcCompiler()` Returns the settings to use for the C compiler.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativePlatformToolChain` | `getPlatform`

- - ### Method Detail

    - #### public CommandLineToolConfiguration getAssembler()

      Returns the settings to use for the assembler.

    - #### public CommandLineToolConfiguration getCppCompiler()

      Returns the settings to use for the C++ compiler.

    - #### public CommandLineToolConfiguration getLinker()

      Returns the settings to use for the linker.

    - #### public CommandLineToolConfiguration getRcCompiler()

      Returns the settings to use for the Windows resources compiler.

    - #### public CommandLineToolConfiguration getStaticLibArchiver()

      Returns the settings to use for the archiver.

    - #### public CommandLineToolConfiguration getcCompiler()

      Returns the settings to use for the C compiler.